## Submitting issues

### Reduced test case required

All bug reports and problem issues require a [**reduced test case**](https://css-tricks.com/reduced-test-cases/) or **live URL**.

+ A reduced test case clearly demonstrates the bug or issue.
+ It contains the bare minimum HTML, CSS, and JavaScript required to demonstrate the bug.
+ A link to your production site is **not** a reduced test case.

Create one by forking any one of the [CodePen demos](https://codepen.io/collection/DZejqa?grid_type=list&sort_by=item_created_at) from [the docs](https://infinite-scroll.com).

+ [Scroll & append](https://codepen.io/desandro/pen/yLaKLop)
+ [Scroll & append, vanilla JS](https://codepen.io/desandro/pen/vYXRYeY)

Providing a reduced test case is the best way to get your issue addressed. They help you point out the problem. They help me verify and debug the problem. They help others understand the problem. Without a reduced test case or live URL, your issue may be closed.

## Pull requests

Contributions are welcome! 

+ **For typos and one-line fixes,** send those right in.
+ **For larger features,** open an issue before starting any significant work. Let's discuss to see how your feature fits within Infinite Scroll's vision.
+ **Check code style.** Run `npm run lint`. Spaces in brackets, semicolons, trailing commas.
+ **Do not edit `infinite-scroll.pkgd.js`.** Make your edits to source files in `js/`.
+ **Do not run the `dist` task to update `dist/` files.** I'll take care of this when I create a new release.

Your code will be used as part of a commercial product if merged. By submitting a Pull Request, you are giving your consent for your code to be integrated into Infinite Scroll as part of a commercial product. 
